﻿@model TooJaVile.Models.Vacation

@{
    ViewBag.Title = "Edit";
}

<h2>Muuda</h2>
<link href="~/Content/themes/base/jquery-ui.min.css" rel="stylesheet" />
@section Scripts {
    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script src="~/Scripts/jquery-ui-1.12.1.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#StartDate").datepicker({ dateFormat: "dd-MM-yy" });
        });
    </script>
    <script>
        $(document).ready(function () {
            $("#EndDate").datepicker({ dateFormat: "dd-MM-yy" });
        });
    </script>

}


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Puhkus</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.PersonId, "Nimi", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("PersonId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.PersonId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.StartDate, "Alguskuupäev", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.StartDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.EndDate, "Lõppkuupäev", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.EndDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.EndDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.VacationType, "Puhkuse liik", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("VacationType", null, htmlAttributes: new { @class = "form-control" })
                @*@Html.EditorFor(model => model.VacationTypeName, "-- Vali puhkuse liik --", new { htmlAttributes = new { @class = "form-control" } })*@
                @Html.ValidationMessageFor(model => model.VacationTypeName, "", new { @class = "text-danger" })
            </div>
        </div>
        @if (ViewBag.CurrentPerson.IsAccountant || ViewBag.CurrentPerson.IsManager)
        {
            <div class="form-group">
                @Html.LabelFor(model => model.VacationState, "Staatus", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownList("VacationState", null, htmlAttributes: new { @class = "form-control" })
                    @*@Html.EditorFor(model => model.VacationStateName, new { htmlAttributes = new { @class = "form-control" } })*@
                    @Html.ValidationMessageFor(model => model.VacationStateName, "", new { @class = "text-danger" })
                </div>
            </div>
        }
        else
        {
            <div class="form-group">
                @Html.LabelFor(model => model.VacationState, "Staatus", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownList("VacationState", null, htmlAttributes: new { @class = "form-control", disabled = "disabled" })
                    @*@Html.EditorFor(model => model.VacationStateName, new { htmlAttributes = new { @class = "form-control" } })*@
                    @Html.ValidationMessageFor(model => model.VacationStateName, "", new { @class = "text-danger" })
                </div>
            </div>
        }



        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Salvesta" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Tagasi nimekirja", "Index")
</div>

